<template>
    <div class="v-select relative" v-click-outside="onClickOutside">
        <button @click="languageShow = true">
            <div class="
            text-white
            focus:ring-4 focus:outline-none
            cursor-pointer
            font-mn
            rounded-lg
            px-4
            py-2
            text-center
            inline-flex
            items-center
            text-xl
            "> English
                <fa-icon class="ml-2 w-4 h-4" :icon="`fa-solid fa-caret-down`" />
            </div>
        </button>
        <!-- Dropdown menu -->
        <div :class="{ hidden: !languageShow }" class="
            absolute
            right-1
            mt-3
            z-10
            w-36
            bg-white
            text-center
            text-xl
            rounded
            divide-y divide-gray-100
            shadow
            dark:bg-gray-700
            dark:text-white">
            <ul class="py-1 text-sm  text-gray-700 dark:text-gray-200">
                <li>
                    <a href="#" class="
                    block
                    py-2
                    px-4
                    hover:bg-gray-100
                    text-xl
                    dark:hover:text-white
                    dark:text-white">English</a>
                </li>
                <li>
                    <a href="#" class="
                    block
                    py-2
                    px-4
                    text-xl
                    hover:bg-gray-100
                    dark:hover:text-white
                    dark:text-white">Khmer</a>
                </li>
            </ul>
            <div class="
              hidden
              z-10
              w-36
              bg-white
              text-center
              text-xl
              rounded
              divide-y divide-gray-100
              shadow
              dark:bg-gray-700
              dark:text-white
            ">
            </div>
        </div>
    </div>
</template>
<script>

export default {
    name: "VLanguage",
    data: () => ({
        languageShow: false
    }),
    methods: {
        onClickOutside() {
            this.languageShow = false;
        }
    }
}
</script>